// toast.vue
<template>
	<view class="toastCSS"  v-show="show" @touchmove.stop.prevent="moveHandle">
		<!-- 弹窗关闭按钮 -->
    <view class="content">
      {{title}}
    </view>
	</view>
</template>

<script>
	export default {
		name:"show-toast",
		data() {
			return {
				percent: 0,
			};
		},
		computed: {
			show(){
				return this.$toastStore.state.show;
			},
			title(){
				return this.$toastStore.state.title;
			},
      time(){
				return this.$toastStore.state.time;
      }
		},
		methods:{

		},
		beforeDestroy(){
			this.$toastStore.commit('hideToast')
		},
	}
</script>
<style scoped lang="less">
.toastCSS{
    background: #4C4C4C;
    max-width: 266rpx;
    position: fixed;
    z-index: 999999;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 26rpx 30rpx;
    .content{
      letter-spacing: 1.8rpx;
      font-size: 24rpx;
      font-family: PingFangSC-Regular, PingFang SC;
      font-weight: 400;
      color: #FFFFFF;
      line-height: 34rpx;
      text-align: center;

    }
}
</style>
